std::shuffle_order_engine< _RandomNumberEngine, __k >(3)

NAME
std::shuffle_order_engine< _RandomNumberEngine, __k > - Produces random numbers by combining random numbers from some base engine to produce random numbers with a specifies number of bits __k.

SYNOPSIS

  Public Types
template<typename _Sseq > using _If_seed_seq = typename enable_if< __detail::__is_seed_seq< _Sseq, shuffle_order_engine, result_type >::value >::type
typedef _RandomNumberEngine::result_type result_type

  Public Member Functions
shuffle_order_engine ()
Constructs a default shuffle_order_engine engine.
shuffle_order_engine (_RandomNumberEngine &&__rng)
Move constructs a shuffle_order_engine engine.
template<typename _Sseq , typename = _If_seed_seq<_Sseq>> shuffle_order_engine (_Sseq &__q)
Generator construct a shuffle_order_engine engine.
shuffle_order_engine (const _RandomNumberEngine &__rng)
Copy constructs a shuffle_order_engine engine.
shuffle_order_engine (result_type __s)
Seed constructs a shuffle_order_engine engine.
const _RandomNumberEngine & base () const noexcept
void discard (unsigned long long __z)
result_type operator() ()
void seed ()
Reseeds the shuffle_order_engine object with the default seed for the underlying base class generator engine.
template<typename _Sseq > _If_seed_seq< _Sseq > seed (_Sseq &__q)
Reseeds the shuffle_order_engine object with the given seed sequence.
void seed (result_type __s)
Reseeds the shuffle_order_engine object with the default seed for the underlying base class generator engine.

  Static Public Member Functions
static constexpr result_type max ()
static constexpr result_type min ()

  Static Public Attributes
static constexpr size_t table_size

  Friends
template<typename _RandomNumberEngine1 , size_t __k1, typename _CharT , typename _Traits > std::basic_ostream< _CharT, _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::shuffle_order_engine< _RandomNumberEngine1, __k1 > &__x)
Inserts the current state of a shuffle_order_engine random number generator engine __x into the output stream __os.
bool operator== (const shuffle_order_engine &__lhs, const shuffle_order_engine &__rhs)
template<typename _RandomNumberEngine1 , size_t __k1, typename _CharT , typename _Traits > std::basic_istream< _CharT, _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, std::shuffle_order_engine< _RandomNumberEngine1, __k1 > &__x)
Extracts the current state of a % subtract_with_carry_engine random number generator engine __x from the input stream __is.

Detailed Description

  template<typename _RandomNumberEngine, size_t __k>
class std::shuffle_order_engine< _RandomNumberEngine, __k >" Produces random numbers by combining random numbers from some base engine to produce random numbers with a specifies number of bits __k.

Definition at line 1315 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.